#version 330 core

in vec2 fragmentUV;
uniform sampler2D ShadowMap;

out vec4 fragColor;

void main()
{
    float Depth = texture(ShadowMap, fragmentUV).x;
    Depth = 1.0 - (1.0 - Depth) * 25.0;
    fragColor = vec4(Depth);
}