#version 330 core                                                                      
                                                                                    
layout (location = 0) in vec3 position;                                             
                                                                                    
uniform mat4 model;
uniform mat4 view_proj;
uniform mat4 view;                                                             
                                                                                    
out vec3 TexCoord0;                                                                 
                                                                                    
void main()                                                                         
{                                                                                   
    vec4 WVP_Pos = view_proj * model * vec4(position, 1);                                     
    gl_Position = WVP_Pos.xyww;                                                     
    TexCoord0   = position;                                                         
}
